Package twisted :: Package python :: Module threadable :: Class _ThreadedWaiter

[show private | hide private]
[frames | no frames]

## Class _ThreadedWaiter

    _Waiter --+
              |
             _ThreadedWaiter

Method Summary
| `__init__(self)`
| `__hook_orig_twisted_python_threadable__ThreadedWaiter_hasCallback__(self, key)`
| `__hook_orig_twisted_python_threadable__ThreadedWaiter_preWait__(self, key)`
| `__hook_orig_twisted_python_threadable__ThreadedWaiter_registerCallback__(self, key, callback, errback)`
| `__hook_orig_twisted_python_threadable__ThreadedWaiter_unwait__(self, key, value, ok)`
| `block(self)` (inherited from `_Waiter`)
| `hasCallback(*args, **kw)`
| `preWait(*args, **kw)`
| `registerCallback(*args, **kw)`
| `runCallback(self, key, value, ok)` (inherited from `_Waiter`)
| `unwait(*args, **kw)`
| `unwait_all(self)` (inherited from `_Waiter`)
| `wait(self, key)`

Class Variable Summary
`list` | `__hook_post_twisted_python_threadable__ThreadedWaiter_hasCallback__`
`list` | `__hook_post_twisted_python_threadable__ThreadedWaiter_preWait__`
`list` | `__hook_post_twisted_python_threadable__ThreadedWaiter_registerCallback__`
`list` | `__hook_post_twisted_python_threadable__ThreadedWaiter_unwait__`
`list` | `__hook_pre_twisted_python_threadable__ThreadedWaiter_hasCallback__`
`list` | `__hook_pre_twisted_python_threadable__ThreadedWaiter_preWait__`
`list` | `__hook_pre_twisted_python_threadable__ThreadedWaiter_registerCallback__`
`list` | `__hook_pre_twisted_python_threadable__ThreadedWaiter_unwait__`
`list` | `synchronized`

Class Variable Details

### __hook_post_twisted_python_threadable__ThreadedWaiter_hasCallback__

  Type:
    `list`
  Value:

        [<function _synchPost at 0x81285a4>]

### __hook_post_twisted_python_threadable__ThreadedWaiter_preWait__

  Type:
    `list`
  Value:

        [<function _synchPost at 0x81285a4>]

### __hook_post_twisted_python_threadable__ThreadedWaiter_registerCallback__

  Type:
    `list`
  Value:

        [<function _synchPost at 0x81285a4>]

### __hook_post_twisted_python_threadable__ThreadedWaiter_unwait__

  Type:
    `list`
  Value:

        [<function _synchPost at 0x81285a4>]

### __hook_pre_twisted_python_threadable__ThreadedWaiter_hasCallback__

  Type:
    `list`
  Value:

        [<function _synchPre at 0x8185cc4>]

### __hook_pre_twisted_python_threadable__ThreadedWaiter_preWait__

  Type:
    `list`
  Value:

        [<function _synchPre at 0x8185cc4>]

### __hook_pre_twisted_python_threadable__ThreadedWaiter_registerCallback__

  Type:
    `list`
  Value:

        [<function _synchPre at 0x8185cc4>]

### __hook_pre_twisted_python_threadable__ThreadedWaiter_unwait__

  Type:
    `list`
  Value:

        [<function _synchPre at 0x8185cc4>]

### synchronized

  Type:
    `list`
  Value:

        ['registerCallback', 'hasCallback', 'preWait', 'unwait']

Generated by Epydoc 1.1 on Sat Feb 15 21:19:37 2003 | http://epydoc.sf.net